Name:           perl-pmtools
Version:        1.54
Release:        2%{?dist}
Summary:        A suite of small programs to help manage Perl modules

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/pmtools/
Source:         http://www.cpan.org/authors/id/M/ML/MLFISHER/pmtools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  less

%description
This is pmtools -- a suite of small programs to help manage modules.
The names are totally preliminary, and in fact, so is the code.  We follow
the "keep it small" notion of many tiny tools each doing one thing well,
eschewing giant megatools with millions of options.

Tom Christiansen


%prep
%setup -q -n pmtools-%{version}
find . -type f -perm 755 | xargs %{__perl} -pi -e 's{^#!/usr/bin/env perl}{#!%{__perl}}'
chmod -c a-x Changes TODO lib/Devel/Loaded.pm


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes LICENSE README TODO
%{_bindir}/*
%{perl_vendorlib}/Devel/
%{perl_vendorlib}/pmtools.pm
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Wed Dec 11 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.54-2
- The test suite also needs the less command in the build root (F20+).

* Wed Dec 11 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.54-1
- Update to 1.54.
- New build requirement: perl(Test::More).

* Tue Dec 10 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.30-1
- Update to 1.30.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.10-13
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 10 2012 Petr Pisar <ppisar@redhat.com> - 1.10-10
- Perl 5.16 rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.10-8
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.10-6
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.10-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.10-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.10-1
- update to 1.10
- license change to GPL+ or Artistic

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.01-2.1
- add BR: perl(ExtUtils::MakeMaker)

* Thu Mar 30 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-2
- New doc files: Changes and TODO.

* Wed Mar 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-1
- Update to 1.01.
- URL updated: pmtools is now available in CPAN.
- Dropped patches pmtools-1.00-{different-tarball.patch,pmall.patch}:
  they were accepted upstream.

* Thu Mar  9 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-4
- Rebuild for FC5 (perl 5.8.8).

* Thu Dec 22 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-3
- Dist tag.

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.00-2
- rebuilt

* Sun Feb 06 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-1
- Valid source file link found.
- Package renamed to 'perl-pmtools' in order to avoid name clash with
  the ACPI debugging tools (pmtools).

* Tue Dec 28 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.00-0.fdr.1
- The patch adds a missing target in Makefile.PL (pmeth) and renames the
  script 'pman' into 'pmman' in order to avoid a filename clash with
  the pinfo package.

* Sat Feb 28 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.00-0.fdr.0
- Initial build for fedora.us
